Subject: Re: bug#44273: "total used in directory 19 available 5.2 GiB"

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Oct 2020 05:34:13 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 28 Oct 2020 17:03:56 -0700
> Cc: [email-masked], [email-masked], [email-masked], 
> 	[email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > Why don't you ask the Coreutils developers to remove that from 'ls'
> >> > display as well, then?
> >>
> >> I believe this line is mandated by POSIX.
> >
> > Does POSIX mandate what 'ls' outputs when invoked with the --dired
> > switch?
> 
> Sorry, I didn't realize you were referring to that flag.  (But maybe I
> should have...)
> 
> I don't think POSIX says anything about the --dired flag.  It's a GNU
> extension.

So then GNU 'ls' could do anything Emacs needs when 'ls' is invoked
with --dired, including removing that line.